const basePart = '/simulation/resource/server';

const getVehicleList = basePart + '/vehicle/getVehicleList'; // 动力学配置查询列表
const getVehicleInfo = basePart + '/vehicle/getVehicleInfo'; // 动力学配置查询详情
const saveVehicle = basePart + '/vehicle/saveVehicle'; // 动力学配置保存修改详情
const shareVehicle = basePart + '/vehicle/shareVehicle'; // 动力学配置分享详情
const delVehicleById = basePart + '/vehicle/delVehicleById'; // 动力学配置删除详情
const getVehicleTempTree = basePart + '/vehicleTemp/getVehicleTempTree'; // 动力学配置模板

const getCameraList = basePart + '/camera/getCameraList'; // 摄像头-列表查询
const getCameraInfo = basePart + '/camera/getCameraInfo'; // 摄像头-详情查询
const saveCamera = basePart + '/camera/saveCamera'; // 摄像头-保存修改
const shareCamera = basePart + '/camera/shareCamera'; // 摄像头-分享
const delCameraById = basePart + '/camera/delCameraById'; // 摄像头-删除

const getOgtList = basePart + '/ogt/getOgtList'; // 完美传感器-列表查询
const getOgtInfo = basePart + '/ogt/getOgtInfo'; // 完美传感器-详情查询
const saveOgt = basePart + '/ogt/saveOgt'; // 完美传感器-保存修改
const shareOgt = basePart + '/ogt/shareOgt'; // 完美传感器-分享
const delOgtById = basePart + '/ogt/delOgtById'; // 完美传感器-删除

const getLidarList = basePart + '/lidar/getLidarList'; // 激光雷达对象-列表查询
const getLidarInfo = basePart + '/lidar/getLidarInfo'; // 激光雷达对象-详情查询
const saveLidar = basePart + '/lidar/saveLidar'; // 激光雷达对象-保存修改
const shareLidar = basePart + '/lidar/shareLidar'; // 激光雷达对象-分享
const delLidarById = basePart + '/lidar/delLidarById'; // 激光雷达对象-删除

const getGpsList = basePart + '/gps/getGpsList'; // GPS-列表查询
const getGpsInfo = basePart + '/gps/getGpsInfo'; // GPS-详情查询
const saveGps = basePart + '/gps/saveGps'; // GPS-保存修改
const shareGps = basePart + '/gps/shareGps'; // GPS-分享
const delGpsById = basePart + '/gps/delGpsById'; // GPS-删除

const getConfigPageList = basePart + '/config/getConfigPageList'; // 车辆配置列表查询
const getConfigInfo = basePart + '/config/getConfigInfo'; // 车辆配置详情查询
const saveConfig = basePart + '/config/saveConfig'; //车辆配置新增修改
const shareConfigByInfo = basePart + '/config/shareConfigByInfo'; // 车辆配置页面分享
const shareConfigById = basePart + '/config/shareConfigById'; // 车辆配置列表分享
const delConfigById = basePart + '/config/delConfigById'; // 车辆配置删除
const getMyVehicleList = basePart + '/vehicle/getMyVehicleList'; // 车辆名称私有下拉列表
const getMyCameraList = basePart + '/camera/getMyCameraList'; // 摄像头-私有列表查询
const getMyOgtList = basePart + '/ogt/getMyOgtList'; // 完美传感器-私有列表查询
const getMyLidarList = basePart + '/lidar/getMyLidarList'; // 激光雷达对象-私有列表查询
const getMyGpsList = basePart + '/gps/getMyGpsList'; // GPS-私有列表查询


export default {
    getVehicleList,
    getVehicleInfo,
    saveVehicle,
    shareVehicle,
    delVehicleById,
    getVehicleTempTree,

    getCameraList,
    getCameraInfo,
    saveCamera,
    shareCamera,
    delCameraById,

    getOgtList,
    getOgtInfo,
    saveOgt,
    shareOgt,
    delOgtById,

    getLidarList,
    getLidarInfo,
    saveLidar,
    shareLidar,
    delLidarById,

    getGpsList,
    getGpsInfo,
    saveGps,
    shareGps,
    delGpsById,

    getConfigPageList,
    getConfigInfo,
    saveConfig,
    shareConfigByInfo,
    shareConfigById,
    delConfigById,
    getMyVehicleList,
    getMyCameraList,
    getMyOgtList,
    getMyLidarList,
    getMyGpsList
}