const basePart = '/simulation/resource/server';


const queryScoringRulesList = basePart + '/ScoringRules/queryScoringRulesList'; // 评分规则列表
const queryScoringRules = basePart + '/ScoringRules/queryScoringRules'; // 查询评分规则详情
const saveScoringRules = basePart + '/ScoringRules/saveScoringRules'; // 保存评分规则详情
const fxScoringRules = basePart + '/ScoringRules/fxScoringRules'; // 分享评分规则
const deleteScoringRules = basePart + '/ScoringRules/deleteScoringRules'; // 删除评分规则
const queryCsbById = basePart + '/ScoringRules/queryCsbById'; // 查询该规则是否有关联任务

const queryStandardsRegulationsList = basePart + '/StandardsRegulations/queryStandardsRegulationsList'; // 标准法规场景列表
const saveStandardsRegulations = basePart + '/StandardsRegulations/saveStandardsRegulations'; // 新增标准法规仿场景
const deleteStandardsRegulations = basePart + '/StandardsRegulations/deleteStandardsRegulations'; // 删除标准法规仿场景

const querySceneAccidentList = basePart + '/SceneAccident/querySceneAccidentList'; // 交通事故场景列表
const saveSceneAccident = basePart + '/SceneAccident/saveSceneAccident'; // 新增交通事故场景
const deleteSceneAccident = basePart + '/SceneAccident/deleteSceneAccident'; // 删除交通事故场景

const querySceneNaturalList = basePart + '/SceneNatural/querySceneNaturalList'; // 自然驾驶场景列表
const saveSceneNatural = basePart + '/SceneNatural/saveSceneNatural'; // 新增自然驾驶场景
const deleteSceneNatural = basePart + '/SceneNatural/deleteSceneNatural'; // 删除自然驾驶场景

const queryScenePackageList = basePart + '/ScenePackage/queryScenePackageList'; // 场景测试包管理列表
const instShareList = basePart + '/ScenePackage/instShareList'; // 分享场景测试包
const deleteList = basePart + '/ScenePackage/deleteList'; // 删除场景测试包

const queryScenePackageSublistList = basePart + '/ScenePackage/queryScenePackageSublistList'; // 场景测试包列表
const getSceneParam = basePart + '/ScenePackage/getSceneParam'; // 场景测试包创建上限
const saveScenePackage = basePart + '/ScenePackage/saveScenePackage'; // 场景测试包列表保存
const queryCsb = basePart + '/ScoringRules/queryCsb'; // 测试包添加评分规则下拉

const querySceneGeneralTemplateList = basePart + '/SceneGeneralTemplate/querySceneGeneralTemplateList'; // 泛化列表
const deleteSceneGeneralTemplateById = basePart + '/SceneGeneralTemplate/deleteSceneGeneralTemplateById'; // 删除泛化场景模板
const queryType = basePart + '/SceneGeneralTemplate/queryType'; // 功能模块查询
const querySceneGeneralTemplateById = basePart + '/SceneGeneralTemplate/querySceneGeneralTemplateById'; // 选中模板展示详情
const saveSceneGeneralTemplate = basePart + '/SceneGeneralTemplate/saveSceneGeneralTemplate'; // 新增泛化场景模板
const saveSceneGeneralExample = basePart + '/SceneGeneralTemplate/saveSceneGeneralExample'; // 保存泛化场景模板
const queryGeneralTemplateByFh = basePart + '/SceneGeneralTemplate/queryGeneralTemplateByFh'; // 泛化过的详情


export default {
    queryScoringRulesList,
    queryScoringRules,
    saveScoringRules,
    fxScoringRules,
    deleteScoringRules,
    queryCsbById,

    queryStandardsRegulationsList,
    saveStandardsRegulations,
    deleteStandardsRegulations,

    querySceneAccidentList,
    saveSceneAccident,
    deleteSceneAccident,

    querySceneNaturalList,
    saveSceneNatural,
    deleteSceneNatural,

    queryScenePackageList,
    instShareList,
    deleteList,

    queryScenePackageSublistList,
    getSceneParam,
    saveScenePackage,
    queryCsb,

    querySceneGeneralTemplateList,
    deleteSceneGeneralTemplateById,
    queryType,
    querySceneGeneralTemplateById,
    saveSceneGeneralTemplate,
    saveSceneGeneralExample,
    queryGeneralTemplateByFh
}