const basePart = '/simulation/resource/server'

//账户管理
const getUserPageList = basePart + '/user/getUserPageList'
const saveUser = basePart + '/user/saveUser'
const saveDefaultPassword = basePart + '/user/saveDefaultPassword'
const saveVisible = basePart + '/user/saveVisible'
//参数管理
const getParameterList = basePart + '/parameter/getParameterList'
const saveParameter = basePart + '/parameter/saveParameter'
const getParamHistory = basePart + '/parameter/getParamHistory'

//集群管理
const getClusterList = basePart + '/cluster/getClusterList'
const saveCluster = basePart + '/cluster/saveCluster'
const getClusterHistory = basePart + '/cluster/getClusterHistory'
const getClusterNum = basePart + '/cluster/getClusterNum'
const getValidClusterInfo = basePart + '/cluster/getValidClusterInfo'
//场景包管理
const querySystemScenePackageList = basePart + '/SystemScenePackage/querySystemScenePackageList' // 场景包列表
const saveSystemScenePackage = basePart + '/SystemScenePackage/saveSystemScenePackage' // 保存场景包详情
const querySystemScenePackageById = basePart + '/SystemScenePackage/querySystemScenePackageById' // 编辑场景包详情
const deleteSystemScenePackage = basePart + '/SystemScenePackage/deleteSystemScenePackage' // 删除场景包
const saveUserByPackageId = basePart + '/SystemScenePackage/saveUserByPackageId' // 新增分配的账户
const deleteUserByPackageId = basePart + '/SystemScenePackage/deleteUserByPackageId' // 删除分配的账户

//场景包分配
const queryPackageByUserIdList = basePart + '/SystemScenePackage/queryPackageByUserIdList' // 场景包分配列表
const queryPackageByUserId = basePart + '/SystemScenePackage/queryPackageByUserId' // 查询场景包分配详情
const savePackageByUserId = basePart + '/SystemScenePackage/savePackageByUserId' // 保存场景包分配详情
const querySystemScenePackageListByTJ = basePart + '/SystemScenePackage/querySystemScenePackageListByTJ' // 场景包数量统计

// 场景上传
const getSceneImporPagetList = basePart + '/sceneImport/getSceneImporPagetList' // 场景上传列表
const saveSceneGeneralTemplateAll = basePart + '/SceneGeneralTemplate/saveSceneGeneralTemplateAll'; // 保存泛化场景模板-new
const saveTask = basePart + '/sceneImport/saveTask'; // 保存3个真实场景

// 车辆设置
const getVehicleTempPageList = basePart + '/vehicleTemp/getVehicleTempPageList' // 列表查询
const getVehicleTempInfo = basePart + '/vehicleTemp/getVehicleTempInfo' // 详情查询
const saveVehicleTemp = basePart + '/vehicleTemp/saveVehicleTemp' // 新增修改
const delVehicleTempById = basePart + '/vehicleTemp/delVehicleTempById' // 删除
const upload = basePart + '/file/upload' // 上传

// 车辆设置
const getLoginLogPageList = basePart + '/log/getLoginLogPageList' // 登录列表
const getOperationLogPageList = basePart + '/log/getOperationLogPageList' // 操作列表
const getSystemLogPageList = basePart + '/log/getSystemLogPageList' // 系统列表

//字典管理
const refreshDictsByTypes = basePart + '/dict/refreshDictsByTypes' // 刷新字典


export default {
    getUserPageList,
    saveUser,
    saveDefaultPassword,
    saveVisible,
    getParameterList,
    saveParameter,
    getParamHistory,
    getClusterList,
    saveCluster,
    getClusterHistory,
    getClusterNum,
    getValidClusterInfo,

    querySystemScenePackageList,
    saveSystemScenePackage,
    querySystemScenePackageById,
    deleteSystemScenePackage,
    saveUserByPackageId,
    deleteUserByPackageId,

    queryPackageByUserIdList,
    queryPackageByUserId,
    savePackageByUserId,
    querySystemScenePackageListByTJ,

    getSceneImporPagetList,
    saveSceneGeneralTemplateAll,
    saveTask,

    getVehicleTempPageList,
    getVehicleTempInfo,
    saveVehicleTemp,
    delVehicleTempById,
    upload,

    getLoginLogPageList,
    getOperationLogPageList,
    getSystemLogPageList,

    refreshDictsByTypes
}