export default [{
        path: "/manualRunProjectList",
        name: "manualRunProjectList",
        meta: {
            tabname: "标准化测试",
            menuKind: "workManagement",
            login: true
        },
        component: () => import("@/views/workManagement/manualRunProjectList"),
        children: [{
            path: "projectInfo",
            name: "projectInfo",
            meta: {
                tabname: "项目详情",
                menuKind: "workManagement",
                login: true
            },
            component: () => import("@/views/workManagement/projectInfo"),
            children: [{
                    path: "taskInfo",
                    name: "taskInfo",
                    meta: {
                        tabname: "任务详情",
                        menuKind: "workManagement",
                        login: true
                    },
                    component: () => import("@/views/workManagement/taskInfo")
                },
                {
                    path: "evaluationReport",
                    name: "evaluationReport",
                    meta: {
                        tabname: "评价报告",
                        menuKind: "workManagement",
                        login: true
                    },
                    component: () => import("@/views/workManagement/evaluationReport")
                },
            ]
        }, ]
    },
    {
        path: "/manualRunProjectDetail",
        name: "manualRunProjectDetail",
        meta: {
            tabname: "标准化测试详情",
            menuKind: "workManagement",
            login: true
        },
        component: () => import("@/views/workManagement/manualRunProjectDetail")
    },

    {
        path: "/autoRunProjectList",
        name: "autoRunProjectList",
        meta: {
            tabname: "自动化测试",
            menuKind: "workManagement",
            login: true
        },
        component: () => import("@/views/workManagement/autoRunProjectList"),
        children: [{
            path: "autoRunSubProjectList",
            name: "autoRunSubProjectList",
            meta: {
                tabname: "自动化测试子项目",
                menuKind: "workManagement",
                login: true
            },
            component: () => import("@/views/workManagement/autoRunSubProjectList"),
            children: [{
                path: "projectInfo",
                name: "projectInfo",
                meta: {
                    tabname: "项目详情",
                    menuKind: "workManagement",
                    login: true
                },
                component: () => import("@/views/workManagement/projectInfo"),
                children: [{
                        path: "taskInfo",
                        name: "taskInfo",
                        meta: {
                            tabname: "任务详情",
                            menuKind: "workManagement",
                            login: true
                        },
                        component: () => import("@/views/workManagement/taskInfo")
                    },
                    {
                        path: "evaluationReport",
                        name: "evaluationReport",
                        meta: {
                            tabname: "评价报告",
                            menuKind: "workManagement",
                            login: true
                        },
                        component: () => import("@/views/workManagement/evaluationReport")
                    },
                ]
            }, ]
        }, ]
    },
    {
        path: "/autoRunProjectDetail",
        name: "autoRunProjectDetail",
        meta: {
            tabname: "自动化测试详情",
            menuKind: "workManagement",
            login: true
        },
        component: () => import("@/views/workManagement/autoRunProjectDetail")
    },
]