// 算法库

const basePart = '/simulation/resource/server';

const selectSharedAlgorithmList = basePart + '/algorithm/selectSharedAlgorithmList'; // 算法库查询公有列表
const selectAlgorithmList = basePart + '/algorithm/selectAlgorithmList'; // 算法库查询私有列表
const deleteByid = basePart + '/algorithm/deleteByid'; // 确定删除算法
const isAlgorithmRunning = basePart + '/algorithm/isAlgorithmRunning'; // 删除算法时判断绑定算法的项目是否正在运行
const shareAlgorithm = basePart + '/algorithm/shareAlgorithm'; // 分享算法

const addOrUpdate = basePart + '/algorithm/addOrUpdate'; // 私有算法新增
const selectDetailsById = basePart + '/algorithm/selectDetailsById'; // 查询算法详情
const getProgress = basePart + '/file/getProgress'; // 获取上传进度接口

const selectAlgoPlatformList = basePart + '/algorithm/selectAlgoPlatformList'   //算法平台列表

const testConnection = basePart + '/algorithm/testConnection' // 测试链接
const deleteCheck = basePart + '/algorithm/deleteCheck' // 检测是否已绑定自动化测试

export default {
    selectSharedAlgorithmList,
    selectAlgorithmList,
    deleteByid,
    isAlgorithmRunning,
    shareAlgorithm,

    addOrUpdate,
    selectDetailsById,
    getProgress,

    selectAlgoPlatformList,

    testConnection,
    deleteCheck
}