const basePart = '/simulation/resource/server';

const addOrUpdateProject = basePart + '/simulationProject/addOrUpdateProject'; // 创建或保存标准化测试详情
const selectProjectById = basePart + '/simulationProject/selectProjectById'; // 查询标准化测试详情
const selectDropDownByType = basePart + '/simulationProject/selectDropDownByType'; // 标准化测试详情中的下拉列表
const selectMaxParallelism = basePart + '/simulationProject/selectMaxParallelism'; // 标准化测试详情中获取人员可用并行数
const updateProjectNowRunState = basePart + '/simulationProject/updateProjectNowRunState'; // 标准化测试详情中修改工作运行状态

const selectProject = basePart + '/simulationProject/selectProject'; // 标准化测试列表
const deleteProjectByids = basePart + '/simulationProject/deleteProjectByids'; // 删除标准化测试
const exportProjectReportAndTaskFileById = basePart + '/simulationProject/exportProjectReportAndTaskFileById'; // 导出报告和任务包
const exportProjectTaskFileById = basePart + '/simulationProject/exportProjectTaskFileById'; // 导出任务包

const selectProjectDetailsById = basePart + '/simulationProject/selectProjectDetailsById'; // 获取标准化测试工作详情
const selectProjectTaskList = basePart + '/simulationProject/selectProjectTaskList'; // 获取标准化测试工作详情-任务列表
const selectProjectReportById = basePart + '/simulationProject/selectProjectReportById'; // 获取标准化测试工作详情-测试报告
const selectProjectTaskById = basePart + '/simulationProject/selectProjectTaskById'; // 获取标准化测试工作详情-任务详情
const exportProjectReportById = basePart + '/simulationProject/exportProjectReportById'; // 获取标准化测试工作详情-下载测试报告

const selectAutomaticProject = basePart + '/simulationProject/selectAutomaticProject'; // 自动化测试列表
const addOrUpdateAutomaticProject = basePart + '/simulationProject/addOrUpdateAutomaticProject'; // 添加/编辑自动化测试任务
const updateAutomaticRunState = basePart + '/simulationProject/updateAutomaticRunState'; // 修改自动化测试主任务状态
const selectAutomaticProjectById = basePart + '/simulationProject/selectAutomaticProjectById'; // 根据id查询自动化测试信息
const selectSubProjectInfo = basePart + '/simulationProject/selectSubProjectInfo'; // 查询自动化测试子工作信息
const selectSubProjectList = basePart + '/simulationProject/selectSubProjectList'; // 查询自动化测试子工作列表
const createAutomaticSubProject = basePart + '/simulationProject/createAutomaticSubProject'; // 手动运行自动化测试项目
const deleteAutomaticProjectByids = basePart + '/simulationProject/deleteAutomaticProjectByids'; // 删除自动化测试主任务
const deleteAutomaticSubProjectByIds = basePart + '/simulationProject/deleteAutomaticSubProjectByIds'; // 删除自动化测试子任务
const updateAutoProjectNowRunState = basePart + '/simulationProject/updateAutoProjectNowRunState'; // 修改自动化测试子任务状态


export default {
    addOrUpdateProject,
    selectProjectById,
    selectDropDownByType,
    selectMaxParallelism,
    updateProjectNowRunState,

    selectProject,
    deleteProjectByids,
    exportProjectReportAndTaskFileById,
    exportProjectTaskFileById,

    selectProjectDetailsById,
    selectProjectTaskList,
    selectProjectReportById,
    selectProjectTaskById,
    exportProjectReportById,

    selectAutomaticProject,
    addOrUpdateAutomaticProject,
    updateAutomaticRunState,
    selectAutomaticProjectById,
    selectSubProjectInfo,
    selectSubProjectList,
    createAutomaticSubProject,
    deleteAutomaticProjectByids,
    deleteAutomaticSubProjectByIds,
    updateAutoProjectNowRunState
}