export default [{
        path: "/vehicleConfigurationList",
        name: "vehicleConfigurationList",
        meta: {
            tabname: "车辆配置",
            menuKind: "modelLibrary",
            login: true
        },
        component: () => import("@/views/modelLibrary/vehicleConfigurationList")
    },
    {
        path: "/vehicleConfigurationDetail",
        name: "vehicleConfigurationDetail",
        meta: {
            tabname: "车辆配置详情",
            menuKind: "modelLibrary",
            login: true
        },
        component: () => import("@/views/modelLibrary/vehicleConfigurationDetail")
    },
    {
        path: "/sensorModel",
        name: "sensorModel",
        meta: {
            tabname: "传感器配置",
            menuKind: "modelLibrary",
            login: true
        },
        component: () => import("@/views/modelLibrary/sensorModel")
    },
    {
        path: "/vehicleModel",
        name: "vehicleModel",
        meta: {
            tabname: "动力学配置",
            menuKind: "modelLibrary",
            login: true
        },
        component: () => import("@/views/modelLibrary/vehicleModel")
    },
]