export default [{
        path: "/accountManagement",
        name: "accountManagement",
        meta: {
            tabname: "账户管理",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/accountManagement")
    },
    {
        path: "/addAccount",
        name: "addAccount",
        meta: {
            tabname: "新增账户",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/addAccount")
    },
    {
        path: "/editAccount",
        name: "editAccount",
        meta: {
            tabname: "编辑账户",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/editAccount")
    },
    {
        path: "/parameterManagement",
        name: "paramenterManagement",
        meta: {
            tabname: "参数管理",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/parameterManagement")
    },
    {
        path: "/parameterDetail",
        name: "parameterDetail",
        meta: {
            tabname: "编辑参数配置",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/parameterDetail")
    },
    {
        path: "/clusteringManagement",
        name: "clusteringManagement",
        meta: {
            tabname: "集群管理",
            menuKind: "sysyemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/clusteringManagement")
    },
    {
        path: "/clusteringDetail",
        name: "clusteringDetail",
        meta: {
            tabname: "编辑集群配置",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/clusteringDetail")
    },
    {
        path: "/sceneLibraryManagement",
        name: "sceneLibraryManagement",
        meta: {
            tabname: "场景库管理",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/sceneLibraryManagement/sceneLibraryManagement")
    },
    {
        path: "/scenePacketListManagement",
        name: "scenePacketListManagement",
        meta: {
            tabname: "场景包管理",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/scenePacketListManagement/index")
    },
    {
        path: "/scenePacketDetail",
        name: "scenePacketDetail",
        meta: {
            tabname: "场景包详情",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/scenePacketListManagement/detail")
    },
    {
        path: "/scenePacketDistributionList",
        name: "scenePacketDistributionList",
        meta: {
            tabname: "场景包分配",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/scenePacketDistributionList")
    },
    {
        path: "/scenePacketDistributionDetail",
        name: "scenePacketDistributionDetail",
        meta: {
            tabname: "场景包分配详情",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/scenePacketDistributionDetail")
    },
    {
        path: "/sceneUploadList",
        name: "sceneUploadList",
        meta: {
            tabname: "场景上传",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/sceneUploadList")
    },
    {
        path: "/vehicleModelManagement",
        name: "vehicleModelManagement",
        meta: {
            tabname: "车辆设置",
            menuKind: "vehicleModelManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/vehicleModelManagement")
    },
    {
        path: "/vehicleModelDetail",
        name: "vehicleModelDetail",
        meta: {
            tabname: "车辆设置详情",
            menuKind: "vehicleModelDetail",
            login: true
        },
        component: () => import("@/views/systemManagement/vehicleModelDetail")
    },
    {
        path: "/reportTemplateManagement",
        name: "reportTemplateManagement",
        meta: {
            tabname: "报告模板管理",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/reportTemplateManagement")
    },
    {
        path: "/reportTemplateDetail",
        name: "reportTemplateDetail",
        meta: {
            login: true
        },
        component: () => import("@/views/systemManagement/reportTemplateDetail")
    },
    {
        path: "/loginLogManagement",
        name: "loginLogManagement",
        meta: {
            tabname: "登录日志",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/loginLogManagement")
    },
    {
        path: "/handleLogManagement",
        name: "handleLogManagement",
        meta: {
            tabname: "操作日志",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/handleLogManagement")
    },
    {
        path: "/systemLogManagement",
        name: "systemLogManagement",
        meta: {
            tabname: "系统日志",
            menuKind: "systemManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/systemLogManagement")
    }
    ,
    {
        path: "/dictManagement",
        name: "dictManagement",
        meta: {
            tabname: "日志管理",
            menuKind: "dictManagement",
            login: true
        },
        component: () => import("@/views/systemManagement/dictManagement")
    }
]